incubator-jspwiki-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Florian Holeczek (JIRA)" <j...@apache.org>
Subject [jira] Created: (JSPWIKI-125) FilterManager doesn't properly check for filter compatibility
Date Mon, 07 Jan 2008 19:38:33 GMT
FilterManager doesn't properly check for filter compatibility
-------------------------------------------------------------

                 Key: JSPWIKI-125
                 URL: https://issues.apache.org/jira/browse/JSPWIKI-125
             Project: JSPWiki
          Issue Type: Bug
         Environment: n/a
            Reporter: Florian Holeczek
             Fix For: 2.6.1


I've just tried to use jspwiki_module.xml with the EmoticonsFilter.
Here's what I've done:
I've placed a jspwiki_module.xml into the /ini directory in the jar file with the following
content:
---
<?xml version="1.0" encoding="UTF-8"?>
<modules>
        <plugin class="org.stringfellow.jspwiki.emoticons.EmoticonsFilter">
                <minVersion>2.7</minVersion>
        </plugin>
</modules>
---
However, JSPWiki 2.6.0 still applies the Filter.

Janne says:
It would appear that there is a bug; looks like FilterManager does not properly extend from
ModuleManager, and therefore does not check for filter compatibility.


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message